/*++

// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//
// Copyright (c) Microsoft Corporation. All rights reserved


Module Name:

    sensor2.h

Abstract:

    This module contains extra definitions used by 
    the Badge Board in addition to Sensors.h
--*/


//
// Mechanical Sensor Types (additions to sensor.h)
//

DEFINE_GUID(SENSOR_TYPE_BOOLEAN_SWITCH_ARRAY,            0x545c8ba5, 0xb143, 0x4545, 0x86, 0x8f, 0xca, 0x7f, 0xd9, 0x86, 0xb4, 0xf6);

//
// Sensor Data Types  (additions to sensor.h)
//

// {38564A7C-F2F2-49bb-9B2B-BA60F66A58DF}
DEFINE_PROPERTYKEY(SENSOR_DATA_TYPE_BOOLEAN_SWITCH_ARRAY_STATE,       0X38564A7C, 0XF2F2, 0X49BB, 0X9B, 0X2B, 0XBA, 0X60, 0XF6, 0X6A, 0X58, 0XDF, 10); //[VT_UI4]

